#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M
void F1132_ConvertBoxCoordinates(
int16_t* P2912_,
int16_t* P2913_)
{
        asm {
                movea.l P2912_(a6),a0
                movea.l P2913_(a6),a1
                move.w  (a0)+,d0
                move.w  (a0)+,d1
                move.w  d0,(a1)+
                move.w  d1,2(a1)
                add.w   (a0)+,d0
                add.w   (a0),d1
                subq.w  #1,d0
                subq.w  #1,d1
                move.w  d0,(a1)
                move.w  d1,4(a1)
        }
}
#endif
